Name: factorio
Version: 2.0.55
Release: 1
License: Proprietary
Summary: The headless server for Factorio, a game in which you build and maintain factories.
URL: factorio.com

Source0: https://factorio.com/get-download/%version/headless/linux64

%description
Factorio is a game in which you build and maintain factories.

You will be mining resources, researching technologies, building infrastructure, automating production, and fighting enemies. Use your imagination to design your factory, combine simple elements into ingenious structures, apply management skills to keep it working, and protect it from the creatures who don't really like you.

The game is very stable and optimized for building massive factories. You can create your own maps, write mods in Lua, or play with friends via Multiplayer. 

This is NOT the full game, just run a server for those who bought it on Steam

%prep
tar -C %{_builddir} -xf %{_sourcedir}/linux64

%install
%define is_el %{defined dist} && ("%{dist}" == ".el9" || "%{dist}" == ".el10")

%if %{is_el}
%define install_dest  %{_buildrootdir}/%{NAME}-%{version}-%{release}.%{_arch}
%else
%define install_dest %{_buildrootdir}/BUILDROOT
%endif
mkdir -p %{install_dest}/opt/factorio

%define loop_filelist filelist.txt
%define export_filelist export_filelist.txt

find %{_builddir} -type f | sed -e 's+%{_builddir}/++g' > %loop_filelist
rm -f %export_filelist

OIFS="$IFS"
IFS=$'\n'

for i in `cat %loop_filelist`; do
    mode=644
    if [ "$i" == "/opt/factorio/bin/x86/factorio" ]; then
        mode=744
    fi
    if [ "$i" != "filelist.txt" ]; then
        %__install -m $mode -D "%{_builddir}/$i" "%{install_dest}/opt/$i"
        echo "\"/opt/$i\"" >> %export_filelist
    fi
done

IFS=$OFS

%files -f %export_filelist

%changelog
* Fri Jun 06 2025 Keith Valin <keith+factorio@mailtux.net> - 2.0.55-1
- Initial workings
